<?php
session_start(); 

include 'header.php';
include 'db.php'; 

if (!isset($_SESSION['user_id'])) {
    header("Location: login.php");
    exit();
}

$mlmUserId = $_SESSION['user_id']; 

$query = "SELECT `id`, `name`, `phone`, `reference_number`, `my_number`, `created_at`, `approved` 
          FROM `MLM_users` WHERE `id` = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("i", $mlmUserId);

if (!$stmt->execute()) {
    echo "Error executing query: " . $stmt->error;
    exit();
}

$result = $stmt->get_result();

if ($result->num_rows > 0) {
    $user = $result->fetch_assoc();
    $referenceUserId = $user['reference_number']; 
} else {
    echo "No user found with the provided ID.";
    exit();
}

$stmt->close();


?>

<div id="appCapsule">
    <div class="section wallet-card-section pt-10" style="padding: 70px 20px;">
        <div class="wallet-card">
            <div class="balance" style="display: flex; flex-direction: row; flex-wrap: wrap;">
                <div class="left pt-20" style="flex: 1; min-width: 300px;">
                    <?php if ($user['approved'] == 1) { ?>
                        <div class="balance-section">
                            <div class="user-details">
                                <span class="title">Welcome, <?php echo htmlspecialchars($user['name']); ?>!</span>
                                <p class="text-muted">Reference Number: <strong><?php echo htmlspecialchars($user['reference_number']); ?></strong></p>
                            </div>
                        </div>
                    <?php } else { ?>
                        <h4 class="title">Account Status: Pending</h4>
                        <p class="text-danger">
                            Your registration was successful, but your account is pending approval. 
                            Please deposit ₹300 to 6353818433 and send a screenshot for approval.
                        </p>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>
