<?php
// session_start();
include 'db.php'; 

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Retrieve data from the form
    $userId = $_POST['user_id'];
    $userName = $_POST['userName'];
    $bankName = $_POST['bankName'];
    $bankNumber = $_POST['bankNumber'];
    $branch = $_POST['branch'];
    $amount = $_POST['withdrawalAmount'];

    // First, insert into payment_withdrawals table
    $withdrawalQuery = "INSERT INTO payment_withdrawals (user_id, user_name, bank_name, bank_number, branch, withdrawal_amount, type, created_at) VALUES (?, ?, ?, ?, ?, ?, 'pending', NOW())";
    $stmt = $conn->prepare($withdrawalQuery);
    $stmt->bind_param("issssi", $userId, $userName, $bankName, $bankNumber, $branch, $amount);
    
    // Execute the first statement
    if ($stmt->execute()) {
        // Now insert into wallet_transactions table
        $description = "Withdrawal of " . $amount;
        $walletQuery = "INSERT INTO wallet_transactions (user_id, amount, description, created_at, wallet_type) VALUES (?, ?, ?, NOW(), 'pending')";
        $stmt = $conn->prepare($walletQuery);
        $stmt->bind_param("ids", $userId, $amount, $description);
        
        // Execute the second statement
        if ($stmt->execute()) {
            // Success message for both inserts
            echo "<script>alert('Withdrawal successful!'); window.location.href = 'withdrawals_req.php';</script>";
        } else {
            // Error message for wallet_transactions
            echo "<script>alert('Withdrawal processed, but there was an error logging the transaction. Please try again.'); window.location.href = 'wallet.php';</script>";
        }
    } else {
        // Error message for payment_withdrawals
        echo "<script>alert('Error processing withdrawal. Please try again.'); window.location.href = 'wallet.php';</script>";
    }
}
?>

<!-- Withdrawal Modal -->
<div class="modal fade" id="withdrawalModal" tabindex="-1" aria-labelledby="withdrawalModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="withdrawalModalLabel">Withdrawal Details</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form id="withdrawalForm" method="POST" onsubmit="return validateWithdrawal();">
                    <div class="mb-3">
                        <label for="userName" class="form-label">User Name *</label>
                        <input type="text" class="form-control" id="userName" name="userName" required>
                    </div>
                    <div class="mb-3">
                        <label for="bankName" class="form-label">Bank Name *</label>
                        <input type="text" class="form-control" id="bankName" name="bankName" required>
                    </div>
                    <div class="mb-3">
                        <label for="bankNumber" class="form-label">Bank Number *</label>
                        <input type="text" class="form-control" id="bankNumber" name="bankNumber" pattern="\d{1,16}" maxlength="16" title="Only digits are allowed. Maximum 16 digits." required>
                        <div id="bankNumberError" class="text-danger" style="display: none;"></div>
                    </div>
                    <div class="mb-3">
                        <label for="branch" class="form-label">Branch *</label>
                        <input type="text" class="form-control" id="branch" name="branch" required>
                    </div>
                    <div class="mb-3">
                        <label for="withdrawalAmount" class="form-label">Withdrawal Amount *</label>
                        <div id="error-message" class="text-danger" style="display: none;"></div>
                        <input type="number" class="form-control" id="withdrawalAmount" name="withdrawalAmount" step="0.01" required>
                    </div>
                    <input type="hidden" name="user_id" value="<?php echo htmlspecialchars($userId); ?>">
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <div id="withdrawButtonContainer" style="display: none;">
                    <button type="submit" class="btn btn-primary" form="withdrawalForm">Withdraw</button>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
const netBalance = parseFloat(<?php echo htmlspecialchars($userBalance); ?>);
const child = parseFloat(<?php echo htmlspecialchars($checkparent); ?>);

    // Show Withdraw button if balance is greater than 200
    document.addEventListener("DOMContentLoaded", function() {
        const withdrawButtonContainer = document.getElementById('withdrawButtonContainer');
        
        if (netBalance > 200 && child > 3) {
            withdrawButtonContainer.style.display = 'block';
        }
    });
    function validateWithdrawal() {
        const withdrawalAmount = parseFloat(document.getElementById('withdrawalAmount').value);
        const netBalance = parseFloat(<?php echo htmlspecialchars($userBalance); ?>);
        const bankNumber = document.getElementById('bankNumber').value;

        const minimumBalance = 200;

        // Clear any previous error messages
        const errorMessageElement = document.getElementById('error-message');
        errorMessageElement.style.display = 'none';
        errorMessageElement.innerText = '';

        const bankNumberErrorElement = document.getElementById('bankNumberError');
        bankNumberErrorElement.style.display = 'none';
        bankNumberErrorElement.innerText = '';

        // Check if the withdrawal amount is less than 100
        if (withdrawalAmount < 100) {
            errorMessageElement.innerText = 'Minimum withdrawal: ₹100.';
            errorMessageElement.style.display = 'block';
            return false;
        }

        // Check if the bank number is valid
        const bankNumberPattern = /^\d{1,16}$/;
        if (!bankNumberPattern.test(bankNumber)) {
            bankNumberErrorElement.innerText = 'Bank number must be 1 to 16 digits long and contain only numbers.';
            bankNumberErrorElement.style.display = 'block';
            return false;
        }

        return true;
    }
</script>
