<?php
session_start();
include 'config.php'; // Database connection

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $name = $_POST['name'];
    $phone = $_POST['mobile'];
    $reference = $_POST['reference'] ?? null;
    $tree_head = 0; 
    $total_balance = 0;
    $approved = 0;
    $my_number = ""; 

    // Insert into `user` table
    $stmt_user = $conn->prepare("INSERT INTO `user` (`u_name`, `u_phone`, `u_ref`, `created_date`) VALUES (?, ?, ?, NOW())");
    $stmt_user->bind_param("sss", $name, $phone, $reference);

    if ($stmt_user->execute()) {
        $userId = $stmt_user->insert_id;

        // Store user details in the session
        $_SESSION['user_id'] = $userId;
        $_SESSION['name'] = $name;
        $_SESSION['mobile_number'] = $phone;  
        $_SESSION['reference'] = $reference;

        $stmt_mlm = $conn->prepare("INSERT INTO `MLM_users` (`u_id`, `name`, `phone`, `reference_number`, `tree_head`, `my_number`, `created_at`, `total_balance`, `approved`) 
                                    VALUES (?, ?, ?, ?, ?, ?, NOW(), ?, ?)");
        $stmt_mlm->bind_param("isssssis", $userId, $name, $phone, $reference, $tree_head, $my_number, $total_balance, $approved);

        if ($stmt_mlm->execute()) {
            $_SESSION['mlm_user_id'] = $stmt_mlm->insert_id; 

            header("Location: index.php");
            exit();
        } else {
            echo "Error inserting into the `MLM_users` table: " . $stmt_mlm->error;
        }

        $stmt_mlm->close();
    } else {
        echo "Error inserting into the `user` table: " . $stmt_user->error;
    }

    $stmt_user->close();
}
?>

<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Registration</title>
    <link rel="stylesheet" href="assets/css/style.css">
</head>
<body>
    <div id="appCapsule">
        <div class="section mt-2 text-center">
            <h1>Register</h1>
        </div>

        <div class="section mb-5 p-2">
            <form method="POST" action="">
                <div class="card">
                    <div class="card-body">
                        <div class="form-group">
                            <label for="name">Name</label>
                            <input type="text" class="form-control" id="name" name="name" required>
                        </div>
                        <div class="form-group">
                            <label for="mobile">Mobile Number</label>
                            <input type="tel" class="form-control" id="mobile" name="mobile" placeholder="Enter Mobile Number" required>
                        </div>
                        <div class="form-group">
                            <label for="reference">Reference Number</label>
                            <input type="text" class="form-control" id="reference" name="reference">
                        </div>
                    </div>
                </div>
                <div class="form-button-group">
                    <button type="submit" class="btn btn-primary btn-block">Register</button>
                </div>
            </form>
        </div>
    </div>
</body>
</html>
