<!doctype html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, viewport-fit=cover" />
    <title>Login</title>
    <link rel="icon" type="image/png" href="assets/img/favicon.png" sizes="32x32">
    <link rel="stylesheet" href="assets/css/style.css">
    <style>
        .otp-container {
            display: flex;
            justify-content: space-between;
            margin-top: 10px;
        }
        .otp-input {
            width: 40px;
            height: 40px;
            font-size: 20px;
            text-align: center;
            border: 1px solid #ccc;
            border-radius: 5px;
            margin: 0 5px;
        }
        .otp-input:focus {
            border-color: #007bff;
            outline: none;
        }
    </style>
</head>
<body>
    <div id="appCapsule">
        <div class="section mt-2 text-center">
            <h1>MLM Now</h1>
            <h4>Complete your registration in three easy steps</h4>
        </div>

        <div class="section mb-5 p-2">
            <form id="loginForm">
                <div class="card">
                    <div class="card-body">
                        <div class="form-group basic" id="mobileSection">
                            <div class="input-wrapper">
                                <label class="label" for="mobile">Enter Mobile Number</label>
                                <div class="input-group">
                                    <span class="input-group-text">+91</span>
                                    <input type="tel" class="form-control" id="mobile" name="mobile" placeholder="Enter Mobile Number" maxlength="10" required>
                                </div>
                            </div>
                        </div>

                        <div class="form-group basic" id="otpSection" style="display:none;">
                            <div class="input-wrapper">
                                <label class="label" for="otp">Enter OTP</label>
                                <div class="otp-container">
                                    <input type="text" class="otp-input" id="otp1" maxlength="1" required oninput="moveToNext(this, 'otp2')">
                                    <input type="text" class="otp-input" id="otp2" maxlength="1" required oninput="moveToNext(this, 'otp3')">
                                    <input type="text" class="otp-input" id="otp3" maxlength="1" required oninput="moveToNext(this, 'otp4')">
                                    <input type="text" class="otp-input" id="otp4" maxlength="1" required oninput="moveToNext(this, 'otp5')">
                                    <input type="text" class="otp-input" id="otp5" maxlength="1" required oninput="moveToNext(this, 'otp6')">
                                    <input type="text" class="otp-input" id="otp6" maxlength="1" required>
                                </div>
                                <div id="otpCountdown" style="padding-top: 5px;"></div>
                                <a href="#" id="resendLink" style="display:none;" onclick="resendOtp()">Resend OTP</a>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="form-button-group transparent">
                    <button type="button" class="btn btn-primary btn-block btn-lg" id="sendOtpButton">Send OTP</button>
                </div>
            </form>
            <div id="recaptcha-container"></div>
        </div>
    </div>

    <script src="assets/js/lib/bootstrap.bundle.min.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.3.1/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.3.1/firebase-auth.js"></script>
    <script>
        var firebaseConfig = {
            apiKey: "AIzaSyCdP09prVY8cfEpXUwmwIxo8l9f7vWppv8",
            authDomain: "mlm-project-96d94.firebaseapp.com",
            projectId: "mlm-project-96d94",
            storageBucket: "mlm-project-96d94.appspot.com",
            messagingSenderId: "319115802196"
        };

        firebase.initializeApp(firebaseConfig);
        const auth = firebase.auth();
        let countdownInterval;
        let recaptchaVerifier;

        function initializeRecaptcha() {
            recaptchaVerifier = new firebase.auth.RecaptchaVerifier('recaptcha-container', {
                'size': 'invisible',
                'callback': (response) => {},
                'expired-callback': () => {}
            });
        }

        initializeRecaptcha();

        function showOtpField() {
            document.getElementById('mobileSection').style.display = 'none';
            document.getElementById('otpSection').style.display = 'block';
            startOtpCountdown(60);
            document.getElementById('sendOtpButton').style.display = 'none';
        }

        function startOtpCountdown(duration) {
            let timer = duration;
            countdownInterval = setInterval(function () {
                const seconds = parseInt(timer % 60, 10);
                document.getElementById('otpCountdown').innerHTML = "Resend OTP in " + seconds + " seconds";
                if (--timer < 0) {
                    clearInterval(countdownInterval);
                    document.getElementById('otpCountdown').innerHTML = "";
                    document.getElementById('resendLink').style.display = "block";
                }
            }, 1000);
        }

        function moveToNext(currentInput, nextInputId) {
            if (currentInput.value.length >= 1) {
                document.getElementById(nextInputId).focus();
            }
        }

        function resendOtp() {
            const phoneNumber = document.getElementById('mobile').value;
            auth.signInWithPhoneNumber("+91" + phoneNumber, recaptchaVerifier)
                .then((confirmationResult) => {
                    window.confirmationResult = confirmationResult;
                }).catch((error) => {
                    console.error("Error resending OTP: ", error);
                });
        }

        document.getElementById('sendOtpButton').addEventListener('click', function () {
            const phoneNumber = document.getElementById('mobile').value;

            // Check if the mobile number exists in the database
            fetch(`check_mobile.php?mobile=${phoneNumber}`)
                .then(response => response.json())
                .then(data => {
                    if (data.exists) {
                        // Send OTP
                        auth.signInWithPhoneNumber("+91" + phoneNumber, recaptchaVerifier)
                            .then((confirmationResult) => {
                                window.confirmationResult = confirmationResult;
                                showOtpField();
                            }).catch((error) => {
                                console.error("Error sending OTP: ", error);
                            });
                    } else {
                        // Redirect to registration page
                        window.location.href = "reg.php?mobile=" + phoneNumber;
                    }
                })
                .catch(error => {
                    console.error("Error checking mobile number: ", error);
                });
        });

        document.getElementById('otpSection').addEventListener('input', function () {
            let otp = "";
            for (let i = 1; i <= 6; i++) {
                otp += document.getElementById('otp' + i).value;
            }

            if (otp.length === 6) {
                window.confirmationResult.confirm(otp).then((result) => {
                    const user = result.user;
                    console.log("OTP verified successfully:", user);
                    window.location.href = "index.php";
                }).catch((error) => {
                    console.error("Error verifying OTP: ", error);
                    alert("Invalid OTP. Please try again.");
                });
            }
        });
    </script>
</body>
</html>
