<!doctype html>
<?php
session_start();

// Check if mlm_user_id is set
if (!isset($_SESSION['user_id'])) {
    echo "You are not logged in.";
    exit;
}

include 'db.php'; 

// Fetch the user's phone number based on user_id
$userId = $_SESSION['user_id'];
echo $userId;
$phoneQuery = "SELECT u_phone FROM user WHERE u_id = ?";
$phoneStmt = $conn->prepare($phoneQuery);
$phoneStmt->bind_param("i", $userId);
$phoneStmt->execute();
$phoneResult = $phoneStmt->get_result();

if ($phoneResult->num_rows > 0) {
    $user = $phoneResult->fetch_assoc();
    $phone = $user['u_phone'];
} else {
    echo "Phone number not found.";
    exit;
}

// Prepare the SQL query to fetch user details
$query = "SELECT id, u_id, name, phone, reference_number, tree_head, my_number, created_at, total_balance, approved FROM MLM_users WHERE phone = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("s", $phone);
$stmt->execute();
$result = $stmt->get_result();

// Check if any users found
if ($result->num_rows > 0) {
    $users = $result->fetch_all(MYSQLI_ASSOC); // Fetch all users into an associative array
} else {
    $users = []; // No users found
}

// // Output user details if needed
// foreach ($users as $user) {
//     echo "User ID: " . htmlspecialchars($user['id']) . "<br>";
//     echo "Name: " . htmlspecialchars($user['name']) . "<br>";
//     echo "Phone: " . htmlspecialchars($user['phone']) . "<br>";
// }
?>



<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, viewport-fit=cover" />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <meta name="theme-color" content="#000000">
    <title>Balaji Engo</title>
    <meta name="description" content="Finapp HTML Mobile Template">
    <meta name="keywords" content="bootstrap, wallet, banking, fintech mobile template, cordova, phonegap, mobile, html, responsive" />
    <link rel="icon" type="image/png" href="assets/img/favicon.png" sizes="32x32">
    <link rel="apple-touch-icon" sizes="180x180" href="assets/img/icon/192x192.png">
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="manifest" href="__manifest.json">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
</head>

<body>

    <!-- loader -->
    <!-- <div id="loader">
        <img src="assets/img/loading-icon.png" alt="icon" class="loading-icon">
    </div> -->
    <!-- * loader -->

    <!-- App Header -->
    <div class="appHeader bg-primary text-light">
        <div class="left">
            <a href="#" class="headerButton" data-bs-toggle="modal" data-bs-target="#sidebarPanel">
                <ion-icon name="menu-outline"></ion-icon>
            </a>
        </div>
        <div class="pageTitle">
                        <a href="index.php">
            <img src="assets/img/logo.png" alt="logo" class="logo">
            </a>
        </div>
        <div class="right">
            <a href="view-profile.php" class="headerButton">
                <img src="assets/img/sample/avatar/avatar1.jpg" alt="image" class="imaged w32">
            </a>
        </div>
    </div>
    <!-- * App Header -->

  

</body>
</html>
