<?php include 'header.php'; ?>

<style>
    .bg-wallet-withdrawal {
        background-color: #f4433640 !important; 
    }

    .text-wallet-withdrawal {
        color: #c62828 !important; 
    }

    .bg-wallet-add {
        background-color: rgba(76, 175, 80, 0.1) !important; 
    }

    .text-wallet-add {
        color: #00796b !important;
    }
</style>

<div class="dashboard-main-body">
    <div class="d-flex flex-wrap align-items-center justify-content-between gap-3 mb-24">
        <h6 class="fw-semibold mb-0"> Transaction History        </h6>
        <ul class="d-flex align-items-center gap-2">
            <li class="fw-medium">
                <a href="index.php" class="d-flex align-items-center gap-1 hover-text-primary">
                    <iconify-icon icon="solar:home-smile-angle-outline" class="icon text-lg"></iconify-icon>
                    Dashboard
                </a>
            </li>
            <li>-</li>
            <li class="fw-medium">Transaction </li>
        </ul>
    </div>
    
    <div class="card basic-data-table">
        <div class="card-body">
            <div class="d-flex align-items-center flex-wrap gap-2 justify-content-between mb-20">
                <h6 class="mb-2 fw-bold text-lg mb-0">User Transaction History</h6>
                <select id="transactionFilter" class="form-select form-select-sm w-auto bg-base border text-secondary-light">
                    <option value="all">All</option>
                    <option value="add">Add</option>
                    <option value="withdrawal">Withdrawal</option>
                </select>
            </div>

            <table class="table bordered-table mb-0" id="dataTable" data-page-length='10'>
                <thead>
                    <tr>
                        <th scope="col">S.L</th>
                        <th scope="col">Invoice</th>
                        <th scope="col">Transaction Type</th>
                        <th scope="col">Created At</th>
                        <th scope="col">Amount</th>
                        <th scope="col">Wallet Type</th>
                    </tr>
                </thead>
                <tbody id="transactionTableBody">
                    <?php
                    session_start();
                    include 'db.php'; 

                    // Get user ID from session, default to 33 for this example
                    $user_id = 120;

                    // SQL query to fetch user's wallet transactions
                    $query = "SELECT `id`, `user_id`, `amount`, `description`, `created_at`, `wallet_type` 
                              FROM `wallet_transactions` 
                              WHERE `user_id` = ?";

                    // Prepare and execute the statement
                    $stmt = $conn->prepare($query);
                    if ($stmt) {
                        $stmt->bind_param("i", $user_id);
                        $stmt->execute();
                        $result = $stmt->get_result();

                        // Initialize serial number counter
                        $sl = 1;

                        // Check if there are any transactions
                        if ($result->num_rows > 0) {
                            // Fetch and display each transaction row
                            while ($row = $result->fetch_assoc()) {
                                // Debugging line to check retrieved wallet type
                                error_log("Retrieved wallet type: " . $row['wallet_type']); // Log wallet type to PHP error log

                                $wallet_type_class = '';
                                $wallet_type_text_class = '';

                                // Set unique class names based on wallet type
                                if ($row['wallet_type'] === 'add') {
                                    $wallet_type_class = 'bg-wallet-add'; // Unique background class for 'Add'
                                    $wallet_type_text_class = 'text-wallet-add'; // Unique text class for 'Add'
                                } elseif ($row['wallet_type'] === 'withdrawal') {
                                    $wallet_type_class = 'bg-wallet-withdrawal'; // Unique background class for 'Withdrawal'
                                    $wallet_type_text_class = 'text-wallet-withdrawal'; // Unique text class for 'Withdrawal'
                                }

                                echo "<tr data-wallet-type='{$row['wallet_type']}'>
                                        <td>
                                            <div class='form-check style-check d-flex align-items-center'>
                                                <input class='form-check-input' type='checkbox'>
                                                <label class='form-check-label'>{$sl}</label>
                                            </div>
                                        </td>
                                        <td><a href='javascript:void(0)' class='text-primary-600'>#{$row['id']}</a></td>
                                        <td>{$row['description']}</td>
                                        <td>{$row['created_at']}</td>
                                        <td>₹{$row['amount']}</td>
                                        <td>
                                            <span class='px-24 py-4 rounded-pill fw-medium text-sm {$wallet_type_class} {$wallet_type_text_class}'>
                                                {$row['wallet_type']}
                                            </span>
                                        </td>
                                      </tr>";
                                $sl++;
                            }
                        } else {
                            // echo "<tr><td colspan='6'>No transactions found.</td></tr>";
                        }

                        // Close the statement
                        $stmt->close();
                    }

                    // Close the connection
                    $conn->close();
                    ?>
                </tbody>
            </table>
        </div>
    </div>
</div>

<script>
    document.getElementById('transactionFilter').addEventListener('change', function() {
        const filterValue = this.value;

        const rows = document.querySelectorAll('#transactionTableBody tr');

        rows.forEach(row => {
            const walletType = row.getAttribute('data-wallet-type');

            // console.log("Row wallet type:", walletType, "Filter value:", filterValue);

            if (filterValue === 'all' || filterValue === walletType) {
                row.style.display = '';
            } else {
                row.style.display = 'none';
            }
        });
    });
</script>

<?php include 'footer.php'; ?>
